%perl_module Crypt-OpenSSL-Random 0.03 2

Summary:       Routines for accessing the OpenSSL pseudo-random number generator.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}/
Source:        http://search.cpan.org/CPAN/authors/id/I/IR/IROBERTS/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel

%description
Crypt::OpenSSL::Random provides the ability to seed and query the
OpenSSL library's pseudo-random number generator.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/Crypt/OpenSSL/Random.pm
%{perl_vendorarch}/auto/Crypt/OpenSSL/Random/Random.so
%{perl_vendorarch}/auto/Crypt/OpenSSL/Random/autosplit.ix
%{perl_man3dir}/Crypt::OpenSSL::Random.3pm*


%changelog
* Fri Sep 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
